aboutsummaryrefslogtreecommitdiffstats
path: root/community
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-07-04 11:57:45 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2016-07-04 11:57:45 +0200
commita3e5e51c6aa7e0964e2237f14920bf74a28847a2 (patch)
treec51b6b2ee404acb61b3e0e15017925db4794c3c1 /community
parentc5e71e8f21607d377975d03670aa2f6a1c8bbc47 (diff)
downloadaports-a3e5e51c6aa7e0964e2237f14920bf74a28847a2.tar.gz
aports-a3e5e51c6aa7e0964e2237f14920bf74a28847a2.tar.bz2
aports-a3e5e51c6aa7e0964e2237f14920bf74a28847a2.tar.xz
testing/wslay: move to community
Diffstat (limited to 'community')
-rw-r--r--community/wslay/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/community/wslay/APKBUILD b/community/wslay/APKBUILD
new file mode 100644
index 0000000000..22b101a90a
--- /dev/null
+++ b/community/wslay/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Bennett Goble <nivardus@gmail.com>
+# Maintainer: Bennett Goble <nivardus@gmail.com>
+
+pkgname=wslay
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="The WebSocket library in C"
+url="http://wslay.sourceforge.net/"
+arch="all"
+license="MIT"
+depends=
+makedepends="autoconf automake libtool py-sphinx"
+install=
+subpackages="$pkgname-doc $pkgname-dev"
+source="https://github.com/tatsuhiro-t/wslay/archive/release-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-release-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ autoreconf -i && automake && autoconf || return 1
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --prefix=/usr \
+ --disable-static \
+ || return 1
+ make -j1 || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="983f75df5a18693edba23a9d793036e4 release-1.0.0.tar.gz"
+sha256sums="874c4a6aa15b596846ff3a3ef848b8a6e6f4ca579a1657df9b318a06ac6c79a6 release-1.0.0.tar.gz"
+sha512sums="12aadf5a36a38efcbec68f42bc49f6fdc272be44b986e2ca26d6bf0660bf39437a400a7f33de9d8abfad0b2fde64ffef32cea5a586868aa33fa685e257e39a35 release-1.0.0.tar.gz"